package com.sqx.modules.invoice.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.invoice.entity.Invoice;
import com.sqx.modules.utils.excel.ExcelData;

import java.util.Date;

public interface InvoiceService extends IService<Invoice> {


    Result applyInvoice(Long userId,Invoice invoice);


    IPage<Invoice> adminGetIndentList(Integer page, Integer limit, Long userId, String phone, String indentNumber, Integer status, String startTime, String endTime);

    Invoice getInvoiceInfo(Long invoiceId,String indentNumber);

    Result updateInvoice(String ids,Integer status);

    ExcelData listExcel(Integer userType,Integer invoiceType, String invoiceTitle, String taxpayerNumber, String bankDeposit, String userPhone, String indentId, Integer status,String startTime, String endTime);

    IPage<Invoice> getMyInvoiceList(Integer page, Integer limit, Long userId);
}
